org.apache.cassandra.auth

## Class AllowAllInternodeAuthenticator

- java.lang.Object
- - org.apache.cassandra.auth.AllowAllInternodeAuthenticator

All Implemented Interfaces:
  IInternodeAuthenticator

    public class AllowAllInternodeAuthenticator
    extends java.lang.Object
    implements IInternodeAuthenticator

### Constructor Summary

Constructors
Constructor and Description
`AllowAllInternodeAuthenticator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `authenticate(java.net.InetAddress remoteAddress, int remotePort)` Decides whether or not a peer is allowed to connect to this node.
`void` `validateConfiguration()` Validates configuration of IInternodeAuthenticator implementation (if configurable).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AllowAllInternodeAuthenticator

    public AllowAllInternodeAuthenticator()

### Method Detail

#### authenticate

    public boolean authenticate(java.net.InetAddress remoteAddress,
                                int remotePort)

Description copied from interface: `IInternodeAuthenticator`
Decides whether or not a peer is allowed to connect to this node. If this method returns false, the socket will be immediately closed.

Specified by:
  `authenticate` in interface `IInternodeAuthenticator`
Parameters:
  `remoteAddress` - ip address of the connecting node.
  `remotePort` - port of the connecting node.
Returns:
  true if the connection should be accepted, false otherwise.

#### validateConfiguration

    public void validateConfiguration()
                               throws ConfigurationException

Description copied from interface: `IInternodeAuthenticator`
Validates configuration of IInternodeAuthenticator implementation (if configurable).

Specified by:
  `validateConfiguration` in interface `IInternodeAuthenticator`
Throws:
  `ConfigurationException` - when there is a configuration error.